Skip to content

Create a bond via Ethos Everywhere wallet

POST
/wallets/privy/bonds
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/bonds \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "statement": "example", "bondType": "example", "expiration": "example", "amount": "example", "amountType": "example", "metadata": "", "randValue": 1, "signature": "example", "waitForTxTimeoutSeconds": 5 }'

Creates a bond using the user’s Ethos Everywhere wallet. The signature must be obtained from the signatures.createHumanityBond endpoint first. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

Media typeapplication/json
object
statement
required
string
>= 1 characters
bondType
required
string
>= 1 characters
expiration
required
string
>= 1 characters
amount
required
string
>= 1 characters
amountType
required
string
>= 1 characters
metadata
string
""
randValue
required
integer
<= 9007199254740991
signature
required

65-byte ECDSA signature (0x-prefixed hex, 132 chars)

string
waitForTxTimeoutSeconds

Timeout in seconds to wait for the transaction to be processed by Ethos. Defaults to 5 seconds. Set to 0 to skip waiting.

number
default: 5

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
processed
required

Whether the bond transaction has been received & processed by Ethos.

boolean

Example generated

{
"hash": "example",
"processed": true
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}